@import url(https://fonts.googleapis.com/earlyaccess/opensanshebrew.css);
@import url(https://fonts.googleapis.com/earlyaccess/opensanshebrewcondensed.css);

html, body { height: 100%; width: 100%; margin: 0; }

@media print { body, div, p { display: none } }

body {
    direction: rtl;
    -webkit-font-smoothing: antialiased;
    font-family: 'Open Sans Hebrew', serif;
    font-size: clamp(16px, 5vw, 34px);
    /* margin: 10px; */
    overflow-y: scroll;
}

.ui-widget {
    line-height: 30px;
    font-family: 'Open Sans Hebrew', serif;
    font-size: 1em
}

.ui-helper-reset {
    line-height: 40px;
}

p {
  margin: 10px 0;
  white-space: nowrap;
}

.heavy {
  font-weight: 800;
}

.bold {
  font-weight: 600;
}

.light {
  font-weight: 200;
}

h3 {
    line-height: 1.4;
}

.open-con {
  font-family: 'Open Sans Hebrew Condensed', serif;
}

audio {
    filter: sepia(20%) saturate(70%) grayscale(1) contrast(99%) invert(12%);
    width: 300px;
    height: 50px;
}

.local_container {
    padding: 10px;
}

/* Phone */
@media screen and (max-width: 479px) {

    .banner {
        background-image: url('../../common/img/banner.png');
        background-repeat: no-repeat;
        height: 90px;
        background-size: 235px;
        background-position: center;   
        background-size: 200px; 
        margin: 10px;
    }

    .edit-table input[type=text] {
        height: 40px;
        line-height: 17px;
        width: 200px;
        border: solid 1px #aaa;
    }  

    select {
        height: 40px;
        line-height: 17px;
        width: 200px;
        border: solid 1px #aaa;
    }

    .hideOnMobile {
        display:none !important;
    }

    input[type=button], input[type=submit] {
        height: 40px;
        font-size: 20px;
    }

    div.search .form-control {
        height: 50px;
        font-size: 20px;
        width: 90%;
    }

    .lstBox1Assistant, .lstBox2Assistant, .lstBox1, .lstBox2 {
        width: 160px;
    }

    #course_edit .icsWidget {
        width: 100% !important;
    }

    .ui-accordion .ui-accordion-content {
        padding: 1em 1em;
    }

    #share-container {
        top: 16px;
    }
    
} /* End Mobile */

@media screen and (min-width: 480px) {

    .banner {
        background-image: url('../../common/img/banner.png');
        background-repeat: no-repeat;
        height: 50px;
        background-position: center;
        background-size: contain;
        background-size: 200px; 
        margin: 10px;
    }

    body {
      position: relative;
      /* top: 50px; */
      /* overflow-y: auto; */
      margin: 0 auto;
      font-size: 20px;
      line-height: 37px;
      max-width: 1024px;
      min-width: 479px;
    }

    .local_container {
        min-height: 607px;
        overflow-y: none; 
    }

    select {
        height: 30px;
        line-height: 17px;
        /* width: 300px; */
        border: solid 1px #aaa;
    }

    .edit-table input[type=text] {
        height: 30px;
        line-height: 17px;
        width: 300px;
        border: solid 1px #aaa;
    }

    .lstBox1Assistant, .lstBox2Assistant, .lstBox1, .lstBox2 {
        width: 200px;
    }

    #share-container {
        top: 12px;
    }
} /* End Desktop */

a {
    text-decoration: none;
    color: #4b7cd5;
}

.table_header {
    background-color: #eee;
}

.users_table td {
    padding: 8px;
    border: solid 1px #aaa;
}


.upload_table td {
    padding: 8px;
    vertical-align: baseline;
}

.center {
    text-align: center;
}

.dataTable td {
    padding: 8px;
    border: solid 1px #aaa;
}

.dataTable .table_header {
    background-color: #eee;
}

.w30 {
    width: 30px;
    /* display: inline-block; */
}

.dataTitle {
    font-weight: 600;
    margin-bottom: 40px;
}

.title {
    font-weight: 600;
    font-size: 1.2em;
}

.noborder td {
    border: none;
}

.btn-primary {
    min-width: 100px;
    height: 40px;
    font-size: 18px;
    margin-left: 20px;
}

.btn-primary.assign {
    width: 160px;
}

select[name="users"] {
    width: 400px;
    height: 40px;
    margin-bottom: 20px;
}

.selected {
	background: #eee;
	display: inline-block;
	padding: 4px;
}

.w300 {
    width: 300px;
}

.w200 {
    width: 200px;
}

.w150 {
    width: 150px;
}

.w100 {
    width: 100px;
}

#upload select {
    width: 300px;
    height: 40px;
    border: solid 1px #aaa;
}

#upload input {
    width: 300px;
    height: 40px;
    border: solid 1px #aaa;
}

#fileUpload {
    border: none !important;
}

.mgr10 {
    margin-right: 10px;
}

.mgl10 {
    margin-left: 10px;
}

.mgl0 {
    margin-left: 0px;
}

.ui-icon.iconOpen {
    background:url('/app/common/img/minus.png') no-repeat 0px;
    background-size:19px;
    width:20px;
    height:20px;
    margin-left: 20px;
}

.ui-icon.iconClosed {
    background:url('/app/common/img/plus.png') no-repeat 0px;
    background-size:19px;
    width:20px;
    height:20px;
    margin-left: 20px;
}

.location {
    position: relative;
    top: -3px;
}

.video {
    width: 375px;
    /* height: 350px; */
    padding: 10px;
}

.teacher {
    font-size: 0.8em;
}

#error-email {
    display: none;
}

.w150 {
    width: 150px;
    display: inline-block;
}

.table_roles td {
    padding: 8px;
}


.biggerSign {
    font-size: 0.8em;;
}

.list  {
    line-height: 190%;
    color: red'
}

.logoutTd {
    text-align: left;
    width: 50%;
}

.helloTd {
    width: 50%;
    text-align: right;
}

.userMenu {
    width: 100%;
}

.mg10 {
    margin: 10px;
}

.mg20 {
    margin: 20px;
}

.w50 {
	width: 50px;
}

.trSpacer {
    height: 40px;
    background: #eee;
}

.nameInput {
    width: 380px;
}

.sticky {
    position: -webkit-sticky;
    position: sticky;
    top: 0px;   
}

.playerContainer {
    position: sticky;
    bottom: 82px;
    width: 100%;
    background: #daf3f7;
    text-align: center;
    padding: 20px;
    border-top: solid 1px #c5c5c5;
    z-index: 11;
  }

  .playerContainer div {
      padding-bottom: 20px;
  }

  .ml20 {
      margin-left: 20px;
  }

  .material{
      text-decoration: none;
      cursor: default;
  }

  .material:hover {
      text-decoration: none;
      cursor: default;
  }

  #videoPlayer {
      display: none;
  }

  .mr20 {
      margin-right: 20px;
  }

  .ml26 {
      margin-left: 26px;
  }

  .ml24 {
      margin-left: 24px;
  }

  .hidden {
      display: none;
  }
  
  .big{
    font-size: 2em;
  }

  .mg0auto {
      margin: 0 auto;
  }

  .w500 {
      width: 500px;
  }

  .defaultCursor {
      cursor: default;
  }

  .playerContainer .close {
      position: absolute;
      right: 20px;
      opacity: 1;
  }

  .playerContainer .bookmark {
    position: absolute;
    left: 20px;
    transition: color 0.1s;
  }

  #share-container {
    position: absolute;
    left: 50px;
  }

  #share-container a {
    color: rgb(70, 70, 70);
  }

  .subcategory {
      font-size: 1.2em;
      font-weight: 600;
      margin: 20px 0px 10px;
      background: white;
      min-height: 60px;
      line-height: 60px;
  }

.ltr {
    direction: ltr;
}

.ib {
    display: inline-block;
}

.menuItem {
    border: solid 1px #eee;
    padding: 10px;
    margin: 10px;
    background-color: #daf3f7;
    transition: background-color 0.5s ease, color 0.5s ease;
    text-decoration: none;
    text-align: center;
}

.menuItem:hover {
    background-color: #2f8ba9;
    
}

.menuItem:hover *  {
    color: white;
    filter: brightness(0) invert(1);
}

.menuItem:active {
    background-color: #004a62;
}

.menuItem a {
    color: black;
    text-decoration: none;
}

.breadcrumb {
    background: white;
    font-weight: bold;
    z-index: 1;
    padding: 0px;
}

#accordion .ui-accordion-header { 
    background: #daf3f7; 
    color: black;
    border: none;
}

#accordion .ui-accordion-header.ui-state-active { 
    background: #2f8ba9;
    color: white;
    border: none;
}

.smallText {
    font-size: 0.8em;
}

.lh22 {
    line-height: 22px;
}

.menuContainer {
    will-change: transform;
    transform: translate3d(1328px, 61px, 0px);
}

.menu {
    width: 400px;
    height: 100%;
    position: absolute;
    top: 0;
    background: #286090;
    display: none;
    z-index: 100;
    color: white;
    padding: 20px;
    cursor: default;
    transform: none;
    transform-origin: right top;
    transition: opacity 294ms cubic-bezier(0.4, 0, 0.2, 1) 0ms, transform 196ms cubic-bezier(0.4, 0, 0.2, 1) 0ms;
}

.menu a {
    text-decoration: none;
    color: white;
}

.bookmarkEnabled {
    color: #2f8ba9;
}

.highlight {
    background-color: #71d1e0;
}

.bookmarkDisabled {
    color: rgb(70, 70, 70);
}

.stickyActive {
    background-color: #eee;
    border-bottom: solid 1px #aaa;
    transition: background-color 300ms;
}

.ics_table {
    width: 100%;
}

.ics_table_no_border {
    border-collapse: collapse;
}

.ics_table_no_border td {
    padding: 8px;
}

.ics_table td {
    padding: 7px;
}

.icsWidget {
    width: 200px;
    height: 40px;
    border: solid 1px #aaa;
    background: white;
}

.lstBox1, .lstBox2 {
    height: 400px !important;
    border-top: 1px solid #aaa;
}

.lstBox1Assistant {
    height: 180px !important;
    border-top: 1px solid #aaa;
}

.lstBox2Assistant {
    height: 180px !important;
    border-top: 1px solid #aaa;
}

#btnRight, #btnLeft, #btnRightAssistant, #btnLeftAssistant {
    margin: 10px;
}

.textAssistant {
    border: solid 1px #aaa;
    height: 40px;
    width: 200px;
}

.ics_table tbody td {
    border: solid 1px #aaa;
}
  
.ics_table tbody tr:hover {
    background: #daf3f7 !important;
}

.ics_table_generic td {
    padding: 8px;
}

.pdr10 {
    padding-right: 10px;
}

.pdr15 {
    padding-right: 15px;
}

.m0a {
    margin: 0 auto;
}

.left {
    text-align: left;
}

.ics_table thead  {
    position: sticky;
    background: #eee;
    border-collapse: collapse;
    border: solid 1px #aaa;
}

.top0 {
    top: 0px;
}

.top56 {
    top: 56px;
}


.ics_table thead td {
    border: solid 1px #aaa; 
}

.msg {
    padding: 10px;
    color: #4b7cd5;
}

.hmbrItem {
    padding-bottom: 10px;
}

.wrapper_toolbar img {
    height: 35px;
}

.wrapper_toolbar table {
    width: 100%;
}

.wrapper_toolbar table td {
    padding: 2px;
    vertical-align: bottom;
    text-align: center;
}

.wrapper_toolbar {
    position: fixed;
    bottom: 0;
    background: #daf3f7;
    padding-top: 10px;
    border-top: solid 1px #ddd;
    z-index: 200;
    cursor: default;
    display: none;
    box-shadow: 0px 0px 5px #888, 0px -1px 5px #eee;
}

.dataArea {
    padding-bottom: 70px;
}

.mobileRow {
    background: #eeeeee;
    border-radius: 5px;
}
.ics_table_mobile td {
    padding: 10px;
}

.ics_table_mobile { 
    border-spacing: 10px 20px;
    border-collapse: separate;
    width: 100%;
}

.breadcrumbHome i {
    padding-right: 10px; 
    padding-left: 10px;
}

.title .breadcrumbHome {
    text-decoration: none;
    color: black;
}

.toolbarText::before {
    display: block;
    content: attr(title);
    font-weight: bold;
    height: 0;
    overflow: hidden;
    color: black;;
    visibility: visible;
}

.toolbarText:hover {
    font-weight: bold;
    -webkit-transition: all 1s;
    -moz-transition: all 1s;
    -o-transition: all 1s;
    transition: all 1s;

}

#videos {
    display: none;
}

.toolbarText  {
    font-size: 0.8em;
}

.noselect {
    -webkit-touch-callout: none; /* iOS Safari */
      -webkit-user-select: none; /* Safari */
       -khtml-user-select: none; /* Konqueror HTML */
         -moz-user-select: none; /* Old versions of Firefox */
          -ms-user-select: none; /* Internet Explorer/Edge */
              user-select: none; /* Non-prefixed version, currently
                                    supported by Chrome, Edge, Opera and Firefox */
  }  

.iconType {
    margin-left: 7px;
    font-size: 0.8em;
    color: #999;
    width: 17px;
    text-align: center;    
}

.personal {
    cursor: default;
}

.image_container {
    width: 100%;
    height: 400px;
    background-repeat: no-repeat;
    background-size: contain;
    background-position: center;
}

.fa-expand {
    position: absolute;
    top: 21px;
    right: 63px;
}

.playerContainerInternal {
    position: relative;
    width: 400px;
    margin: 0 auto; 
  }
  
.videoOverlay {
    position: absolute;
    right: 10px;
    top: 10px;
    color: #FFF;
    background: black;
    height: 40px;
    width: 120px;
    z-index: 2147483647;
    /* display: none; */
}
  

.ui-accordion-header { 
    position: sticky !important; 
    top: 0;
    z-index: 10;
}

li span{
    vertical-align:top;
    padding-bottom:5px;
}

a.lastVideo {
    text-decoration: none;
    color:black;
}

.assigned {
    font-size: 0.7em;
    text-align: right;
    /* text-align: center;
    border-radius: 4px;
    background: #2da0bb;
    color: white;
    width: 125px;
    height: 30px;
    line-height: 20px; */
    /* display: inline-block; */
    white-space: nowrap;
    /* padding: 5px; */
    /* font-weight: 600; */
    /* margin-bottom: 5px; */
}

.disabled {
    font-size: 0.7em;
    text-align: center;
    border-radius: 4px;
    background: khaki;
    width: 125px;
    height: 30px;
    line-height: 30px;
    font-weight: 600;
    color: black;
    /* display: inline-block; */
    /* margin: 0 auto; */
  }

.teacher {
    font-size: 0.7em;
    text-align: right;
    /* text-align: center;
    border-radius: 4px;
    background: #a764bd;
    width: 125px;
    height: 30px;
    line-height: 30px;
    margin-bottom: 5px; */
    /* font-weight: 600; */
    /* color: white; */
  }

.assistant {
    font-size: 0.7em;
    text-align: right;
    /* text-align: center;
    border-radius: 4px;
    background: #2a8f73;
    width: 125px;
    height: 30px;
    line-height: 30px;
    margin-bottom: 5px; */
    /* font-weight: 600; */
    /* color: white; */
  }

  .premiumText {
    font-size: 0.6em;
    text-align: center;
    padding: 0;
    margin: 0;
    height: 20px;
  }

  .frontPremium {
    position: relative;
    left: 8px;
    top: -3px;
  }

  /* .frontPremium:hover {
    filter: brightness(0) invert(1);
  } */

input[type="checkbox"] { 
    position: absolute;
}

input[type="checkbox"] ~ label { 
    padding-right: 35px;
    display:inline-block;
    position: relative;
    /* top: -12px */
}

#loading {
    border: solid 1px #aaa;
    background: #37c2d7;
    padding: 5px;
    border-radius: 5px;
    width: 100px;
    text-align: center;
    top: 92px;
    right: 349px;
    position: absolute;
    transition: display 1s;
}

a:hover {
    text-decoration: none;
}

.menuWrapper {
    word-break: break-word;
}

.adminItem {
    background-color: #eee;
    padding: 3px 10px;
    margin-left: 20px;
    cursor: default;
    transition: background 500ms;
    margin-bottom: 14px;
    white-space: nowrap;
    display: inline-block;    
}

.adminItem a {
    text-decoration: none;
    color: black;
}

/* .adminItem a:hover {
    color: white;
}

.adminItem:hover {
    background: #aaa;
} */

.active {
    background-color: #aaa;
}

.errorContainer {
    background-color: white;
}

.myForm {
    z-index: 1000;
    -webkit-box-shadow: 0px 2px 15px 2px #858585; 
    box-shadow: 0px 2px 15px 2px #858585;
    width: 400px;
    min-height: 230px;
    padding: 20px;
}

.myFormContainer {
    padding: 10px;
    margin: 0 auto;
    max-width: 1024px;
    min-width: 500px;
}

.assignContainer .title {
    font-weight: 600;
    font-size: 1.1em;
}

.assignContainer .textArea {
    width: 300px;
    height: 130px;
    padding: 10px;
    resize: none;
}

.coursesTable {
    width: 100%;
}

.coursesTable td { 
    padding: 8px;
}
  
.coursesTable select {
    height: 40px;
    width: 300px;
}

.num {
    font-weight: bold;
    font-size: 1.2em;
}

.description_container {
    width: 96%;
    overflow-y: scroll;
    height: 181px;
    margin: 10px;
    text-align: right;
    display: none;
    font-size: 0.9em;
}

.description_container * {
    word-break: break-word;
    white-space: normal;
    margin: 0 auto;
}

.fa-commenting-o {
    position: absolute;
    left: 80px;
    top: 18px;
}

.playerText {
    max-width: 74%;
    font-size: 0.9em;
    text-align: center;
    margin: 0 auto;
    position: relative;
    top: -7px;
    font-weight: 600;
}

.results table {
    max-width: 500px;
    margin: 0 auto;
}

.results table tr {
    font-size: 0.9em;
}

.no_border {
    border: none;
}

#videoPlayer {
    width: 400px;
   height: 170px;
}


.ics-label {
    font-size: .6em;
    border: solid 1px;
    background-color: #eee;
    margin-left: 10px;
    padding: 2px;
    border-radius: 3px;
    padding: 2px 10px 2px 10px;
    cursor: pointer;
    transition: background-color .3s ease;

    border-radius: 8px;
    color: #fff;
    display: inline-block;

    height: 21px;
    letter-spacing: .6px;
    line-height: 16px;
    font-weight: 600;
    white-space: nowrap
}

.ics-label:hover {
    background-color: #ccc;
    cursor: pointer;
    transition: all .2s;
}

.none {
    display: none;
}

.textbox-label {
    height: 40px;
    border: solid 1px #aaa;
    width: 142px;

}

.admin {
    display: inline-block;
    background-color: #007bff;
    color: white;
    padding: 2px 8px;
    border-radius: 3px;
    margin: 2px;
    font-size: 0.7em;
    line-height: 20px;
}

.update {
    display: inline-block;
    background-color: #28a745;
    color: white;
    padding: 2px 8px;
    border-radius: 3px;
    margin: 2px;
    font-size: 0.7em;
    line-height: 20px;
}
